summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRichard W.M. Jones <rjones@redhat.com>2010-10-02 09:07:42 +0100
committerRichard W.M. Jones <rjones@redhat.com>2010-10-02 09:07:42 +0100
commit887a79d1d1c47e537fdffd1208acbacd598b0f96 (patch)
tree63c51960fb97dab24c41e605325d42e5557ac2a8
parentfd10487c9e5d1196ff751f6f37b75a7e5455f243 (diff)
downloadlibguestfs-887a79d1d1c47e537fdffd1208acbacd598b0f96.tar.gz
libguestfs-887a79d1d1c47e537fdffd1208acbacd598b0f96.tar.xz
libguestfs-887a79d1d1c47e537fdffd1208acbacd598b0f96.zip
test-virt-resize: Skip this test on 32 bit hosts.
-rwxr-xr-xtools/test-virt-resize.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/tools/test-virt-resize.sh b/tools/test-virt-resize.sh
index 75d51474..2c343cb4 100755
--- a/tools/test-virt-resize.sh
+++ b/tools/test-virt-resize.sh
@@ -1,5 +1,12 @@
#!/bin/bash -
+# virt-resize does not work on 32 bit because of limitations in Perl
+# so short-circuit this test on a 32 bit host.
+perl -e 'exit 1 if ~1 == 4294967294' || {
+ echo "$0: Skipping this test on 32 bit."
+ exit 0
+}
+
export LANG=C
set -e